/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "NetCDF", "index.html", [
    [ "Introduction and Overview", "index.html", [
      [ "What is NetCDF?", "index.html#what_is_netcdf", [
        [ "Looking for NetCDF-Fortran Documentation?", "index.html#mainpage_learn_more_fortran", null ]
      ] ],
      [ "Learn more about the current NetCDF-C Release", "index.html#this_release", [
        [ "The Latest NetCDF Build Status", "index.html#nightly_status", [
          [ "NetCDF-C", "index.html#NetCDF-C", null ],
          [ "NetCDF-Fortran", "index.html#NetCDF-Fortran", null ]
        ] ]
      ] ],
      [ "Learn more about using NetCDF-C", "index.html#learn-more", null ],
      [ "NetCDF CMake and Windows support:", "index.html#netcdf-cmake-windows", null ],
      [ "About NetCDF", "index.html#netcdf_credits", null ]
    ] ],
    [ "Release Notes", "RELEASE_NOTES.html", [
      [ "4.7.3 - November 20, 2019", "RELEASE_NOTES.html#autotoc_md0", null ],
      [ "4.7.2 - October 22, 2019", "RELEASE_NOTES.html#autotoc_md1", null ],
      [ "4.7.1 - August 27, 2019", "RELEASE_NOTES.html#autotoc_md2", null ],
      [ "4.7.0 - April 29, 2019", "RELEASE_NOTES.html#autotoc_md3", null ],
      [ "4.6.3 - February 28, 2019", "RELEASE_NOTES.html#autotoc_md4", null ],
      [ "4.6.2 - November 16, 2018", "RELEASE_NOTES.html#autotoc_md5", null ],
      [ "4.6.2-rc2 November 1, 2018", "RELEASE_NOTES.html#autotoc_md6", null ],
      [ "4.6.2-rc1 - September 19, 2018", "RELEASE_NOTES.html#autotoc_md7", null ],
      [ "4.6.1 - March 19, 2018", "RELEASE_NOTES.html#autotoc_md8", null ],
      [ "4.6.0 - January 24, 2018", "RELEASE_NOTES.html#autotoc_md9", null ],
      [ "4.5.0 - October 20, 2017", "RELEASE_NOTES.html#autotoc_md10", [
        [ "4.5.0-rc3 - September 29, 2017", "RELEASE_NOTES.html#autotoc_md11", null ],
        [ "4.5.0-rc2 - August 7, 2017", "RELEASE_NOTES.html#autotoc_md12", null ],
        [ "4.5.0-rc1 - June 5, 2017", "RELEASE_NOTES.html#autotoc_md13", null ]
      ] ],
      [ "4.4.1.1 - November 21, 2016", "RELEASE_NOTES.html#autotoc_md14", null ],
      [ "4.4.1 - June 28, 2016", "RELEASE_NOTES.html#autotoc_md15", [
        [ "4.4.1-RC3 - June 17, 2016", "RELEASE_NOTES.html#autotoc_md16", null ],
        [ "4.4.1-RC2 - May 13, 2016", "RELEASE_NOTES.html#autotoc_md17", null ],
        [ "4.4.1-RC1 - April 15, 2016", "RELEASE_NOTES.html#autotoc_md18", null ]
      ] ],
      [ "4.4.0 Released - January 13, 2016", "RELEASE_NOTES.html#autotoc_md19", [
        [ "4.4.0-RC5 Released - November 11, 2015", "RELEASE_NOTES.html#autotoc_md20", null ],
        [ "4.4.0-RC4 Released - November 10, 2015", "RELEASE_NOTES.html#autotoc_md21", null ],
        [ "4.4.0-RC3 2015-10-08", "RELEASE_NOTES.html#autotoc_md22", null ],
        [ "4.4.0-RC2 Released 2015-07-09", "RELEASE_NOTES.html#autotoc_md23", null ],
        [ "4.4.0-RC1 Released 2015-06-09", "RELEASE_NOTES.html#autotoc_md24", null ]
      ] ],
      [ "4.3.3.1 Released 2015-02-25", "RELEASE_NOTES.html#autotoc_md25", null ],
      [ "4.3.3 Released 2015-02-12", "RELEASE_NOTES.html#autotoc_md26", [
        [ "4.3.3-rc3 Released 2015-01-14", "RELEASE_NOTES.html#autotoc_md27", null ],
        [ "4.3.3-rc2 Released 2014-09-24", "RELEASE_NOTES.html#autotoc_md30", null ],
        [ "4.3.3-rc1 Released 2014-08-25", "RELEASE_NOTES.html#autotoc_md31", null ]
      ] ],
      [ "4.3.2 Released 2014-04-23", "RELEASE_NOTES.html#autotoc_md32", [
        [ "4.3.2-rc2 Released 2014-04-15", "RELEASE_NOTES.html#autotoc_md33", null ],
        [ "4.3.2-rc1 Released 2014-03-20", "RELEASE_NOTES.html#autotoc_md34", null ]
      ] ],
      [ "4.3.1.1 Released 2014-02-05", "RELEASE_NOTES.html#autotoc_md35", null ],
      [ "4.3.1 Released 2014-01-16", "RELEASE_NOTES.html#autotoc_md36", [
        [ "4.3.1-rc6 Released 2013-12-19", "RELEASE_NOTES.html#autotoc_md37", null ],
        [ "4.3.1-rc5 Released 2013-12-06", "RELEASE_NOTES.html#autotoc_md38", null ],
        [ "4.3.1-rc4 Released 2013-11-06", "RELEASE_NOTES.html#autotoc_md39", null ],
        [ "4.3.1-rc3 Released 2013-09-24", "RELEASE_NOTES.html#autotoc_md40", null ],
        [ "4.3.1-rc2 Released 2013-08-19", "RELEASE_NOTES.html#autotoc_md41", null ],
        [ "4.3.1-rc1 Released 2013-08-09", "RELEASE_NOTES.html#autotoc_md42", null ]
      ] ],
      [ "4.3.0 Released 2013-04-29", "RELEASE_NOTES.html#autotoc_md43", null ],
      [ "4.2.1.1 Released 2012-08-03", "RELEASE_NOTES.html#autotoc_md44", [
        [ "4.2.1 Released 2012-07-18", "RELEASE_NOTES.html#autotoc_md45", null ],
        [ "4.2.1-rc1 Released 2012-06-18", "RELEASE_NOTES.html#autotoc_md46", null ]
      ] ],
      [ "4.2.0 2012-05-01", "RELEASE_NOTES.html#autotoc_md47", null ],
      [ "4.1.3 2011-06-17", "RELEASE_NOTES.html#autotoc_md48", [
        [ "4.1.3-rc1 2011-05-06", "RELEASE_NOTES.html#autotoc_md49", null ],
        [ "4.1.3-beta1 2011-04-29", "RELEASE_NOTES.html#autotoc_md50", null ]
      ] ],
      [ "4.1.2 2011-03-29", "RELEASE_NOTES.html#autotoc_md51", [
        [ "4.1.2-beta2 2011-01-11", "RELEASE_NOTES.html#autotoc_md52", null ],
        [ "4.1.2-beta1 2010-07-09", "RELEASE_NOTES.html#autotoc_md53", null ]
      ] ],
      [ "4.1.1 2010-04-01", "RELEASE_NOTES.html#autotoc_md54", null ],
      [ "4.1 2010-01-30", "RELEASE_NOTES.html#autotoc_md55", null ],
      [ "4.0.1 2009-03-26", "RELEASE_NOTES.html#autotoc_md56", [
        [ "4.0.1-beta2 2008-12-26", "RELEASE_NOTES.html#autotoc_md57", null ]
      ] ],
      [ "4.0 2008-05-31", "RELEASE_NOTES.html#autotoc_md58", null ],
      [ "3.6.3 2008-05-31", "RELEASE_NOTES.html#autotoc_md59", null ],
      [ "3.6.2 2007-03-05", "RELEASE_NOTES.html#autotoc_md60", [
        [ "3.6.2 beta6 2007-01-20", "RELEASE_NOTES.html#autotoc_md61", null ],
        [ "3.6.2 beta5 2006-12-30", "RELEASE_NOTES.html#autotoc_md62", null ],
        [ "3.6.2 beta4 2006-08-15", "RELEASE_NOTES.html#autotoc_md63", null ],
        [ "3.6.2 beta3 2006-05-24", "RELEASE_NOTES.html#autotoc_md64", null ]
      ] ],
      [ "3.6.1 2006-01-31", "RELEASE_NOTES.html#autotoc_md65", [
        [ "3.6.1-beta3 2005-02-17", "RELEASE_NOTES.html#autotoc_md66", null ],
        [ "3.6.0-p1 2005-02-18", "RELEASE_NOTES.html#autotoc_md67", null ],
        [ "3.6.1-beta2 2005-1-6", "RELEASE_NOTES.html#autotoc_md68", null ],
        [ "3.6.1-beta1 2005-1-3", "RELEASE_NOTES.html#autotoc_md69", null ]
      ] ],
      [ "3.6.0 2004-12-16", "RELEASE_NOTES.html#autotoc_md70", [
        [ "3.6.0-beta6 2004-10-05", "RELEASE_NOTES.html#autotoc_md71", null ],
        [ "3.6.0-beta5 2004-10-04", "RELEASE_NOTES.html#autotoc_md72", null ],
        [ "3.6.0-beta3 2004-08-24", "RELEASE_NOTES.html#autotoc_md73", null ],
        [ "3.6.0-beta2", "RELEASE_NOTES.html#autotoc_md74", null ],
        [ "3.6.0-beta1", "RELEASE_NOTES.html#autotoc_md75", null ],
        [ "3.6.0-alpha", "RELEASE_NOTES.html#autotoc_md76", null ]
      ] ],
      [ "3.5.1 2004-02-03", "RELEASE_NOTES.html#autotoc_md77", null ],
      [ "3.5.0 2001-03-23", "RELEASE_NOTES.html#autotoc_md78", null ],
      [ "3.4 1998-03-09", "RELEASE_NOTES.html#autotoc_md79", null ],
      [ "3.3.1 1997-06-16", "RELEASE_NOTES.html#autotoc_md80", null ],
      [ "3.3 1997-05-15", "RELEASE_NOTES.html#autotoc_md81", null ]
    ] ],
    [ "Getting and Building netCDF", "getting_and_building_netcdf.html", "getting_and_building_netcdf" ],
    [ "The NetCDF User's Guide", "user_guide.html", "user_guide" ],
    [ "NetCDF-4 Filter Support", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html", [
      [ "NetCDF-4 Filter Support", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters", null ],
      [ "Introduction", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_intro", null ],
      [ "Enabling A Compression Filter", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_enable", [
        [ "Using The API", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_API", null ],
        [ "Using ncgen", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_NCGEN", [
          [ "Example CDL File (Data elided)", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md92", null ]
        ] ],
        [ "Using nccopy", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_NCCOPY", null ]
      ] ],
      [ "Parameter Encode/Decode", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_paramcoding", [
        [ "Encoding Algorithms", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md93", [
          [ "Encoding", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md94", null ],
          [ "Decoding", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md95", null ]
        ] ]
      ] ],
      [ "Filter Specification Syntax", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_syntax", null ],
      [ "Dynamic Loading Process", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_Process", [
        [ "Plugin directory", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_Plugindir", null ],
        [ "Plugin Library Naming", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_Pluginlib", null ],
        [ "Plugin Verification", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_Pluginverify", null ],
        [ "Debugging", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_Debug", null ],
        [ "Test Case", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_TestCase", null ],
        [ "Example", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_Example", null ]
      ] ],
      [ "Notes", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md96", [
        [ "Memory Allocation Issues", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md97", null ],
        [ "SZIP Issues", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md98", null ],
        [ "Supported Systems", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md99", null ],
        [ "Generic Plugin Build", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md100", null ]
      ] ],
      [ "Appendix A. Support Utilities", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_AppendixA", null ],
      [ "Appendix B. Programmatic Filter Definition", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_programmatic", [
        [ "API Concepts", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md101", [
          [ "NetCDF API", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md102", null ],
          [ "Example", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md103", null ]
        ] ]
      ] ],
      [ "References", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#filters_References", null ],
      [ "Point of Contact", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_filters.html#autotoc_md104", null ]
    ] ],
    [ "NetCDF In-Memory Support", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html", [
      [ "NetCDF In-Memory Support", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#inmemory", [
        [ "Introduction", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#inmemory_intro", null ],
        [ "Enabling Diskless File Access", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#Enable_Diskless", [
          [ "Diskless File Open", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md105", null ],
          [ "Diskless File Create", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md106", null ]
        ] ],
        [ "Enabling Inmemory File Access", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#Enable_Inmemory", [
          [ "In-Memory API", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md107", null ],
          [ "The <strong>nc_open_mem</strong> Function", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md108", null ],
          [ "The <strong>nc_open_memio</strong> Function", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md109", null ],
          [ "The <strong>nc_create_mem</strong> Function", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md110", null ],
          [ "The <strong>nc_close_memio</strong> Function", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md111", null ],
          [ "Support for Writing with <em>NC_MEMIO_LOCKED</em>", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md112", null ]
        ] ],
        [ "Enabling MMAP File Access", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#Enable_MMAP", null ],
        [ "Known Bugs", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#Inmemory_Bugs", null ],
        [ "References", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#Inmemory_References", null ],
        [ "Point of Contact", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#autotoc_md113", null ]
      ] ]
    ] ],
    [ "NetCDF Authorization Support", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html", [
      [ "NetCDF Authorization Support", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth", [
        [ "Introduction", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_intro", null ],
        [ "URL-Based Authentication", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_url", null ],
        [ "RC File Authentication", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_dodsrc", [
          [ "Search Order", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md114", null ],
          [ "RC File Format", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md115", null ],
          [ "URL Constrained RC File Entries", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md116", null ]
        ] ],
        [ "Authorization-Related Keys", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_keys", [
          [ "Password Authentication", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md117", null ],
          [ "Cookie Jar", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md118", null ],
          [ "Certificate Authentication", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md119", null ]
        ] ],
        [ "Password Escaping", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_userpwdescape", null ],
        [ "Redirection-Based Authentication", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_redir", null ],
        [ "Client-Side Certificates", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_clientcerts", null ],
        [ "References", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md120", null ],
        [ "Appendix A. All RC-File Keys", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_allkeys", null ],
        [ "Appendix B. URS Access in Detail", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_ursdetail", null ],
        [ "Appendix C. ESG Access in Detail", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#auth_esgdetail", [
          [ "Terminology", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md121", null ],
          [ "Initial Steps", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md122", null ],
          [ "Building the KeyStore", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md123", null ],
          [ "Building the TrustStore", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md124", null ],
          [ "Running the C Client", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md125", null ],
          [ "Script for creating Stores", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md126", null ]
        ] ],
        [ "Point of Contact", "md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_auth.html#autotoc_md127", null ]
      ] ]
    ] ],
    [ "NetCDF Programming Notes", "programming_notes.html", "programming_notes" ],
    [ "FAQ", "faq.html", [
      [ "General", "faq.html#ncFAQGeneral", [
        [ "What Is netCDF?", "faq.html#What-Is-netCDF", null ],
        [ "How do I get the netCDF software package?", "faq.html#HowdoIgetthenetCDFsoftwarepackage", null ],
        [ "How do I convert netCDF data to ASCII or text?", "faq.html#How-do-I-convert-netCDF-data-to-ASCII-or-text", null ],
        [ "How do I convert ASCII or text data to netCDF?", "faq.html#How-do-I-convert-ASCII-or-text-data-to-netCDF", null ],
        [ "What is the best way to represent [some particular data] using netCDF?", "faq.html#What-is-the-best-way-to-represent-some-particular-data-using-netCDF", null ],
        [ "What convention should be used for the names of netCDF files?", "faq.html#What-convention-should-be-used-for-the-names-of-netCDF-files", null ],
        [ "Is there a mailing list for netCDF discussions and questions?", "faq.html#Is-there-a-mailing-list-for-netCDF-discussions-and-questions", null ],
        [ "Where are some examples of netCDF datasets?", "faq.html#Where-are-some-examples-of-netCDF-datasets", null ],
        [ "What is the best way to handle time using netCDF?", "faq.html#What-is-the-best-way-to-handle-time-using-netCDF", null ],
        [ "Who else uses netCDF?", "faq.html#Who-else-uses-netCDF", null ],
        [ "What are some references to netCDF?", "faq.html#What-are-some-references-to-netCDF", null ],
        [ "I'm submitting a paper for publication and want to include a citation for use of netCDF software. What reference should I use?", "faq.html#How-should-I-cite-use-of-netCDF-software", null ],
        [ "Is there a document describing the actual physical format for a Unidata netCDF file?", "faq.html#Is-there-a-document-describing-the-actual-physical-format-for-a-Unidata-netCDF-file", null ]
      ] ],
      [ "Installation and Porting", "faq.html#Installation-and-Porting", [
        [ "What does netCDF run on?", "faq.html#What-does-netCDF-run-on", null ],
        [ "How can I use current versions of netCDF-4 with Windows?", "faq.html#HowcanIusecu", null ],
        [ "How can I use netCDF-4.1 with Windows?", "faq.html#HowcanIusenetCDF41withWindows", null ],
        [ "How can I use netCDF-4 with Windows?", "faq.html#How-can-I-use-netCDF-4-with-Windows", null ],
        [ "How do I build and install netCDF for a specific development environment?", "faq.html#How-do-I-build-and-install-netCDF-for-a-specific-development-environment", null ],
        [ "How can I tell if I successfully built and installed netCDF?", "faq.html#How-can-I-tell-if-I-successfully-built-and-installed-netCDF", null ],
        [ "How can I tell what version I'm using?", "faq.html#How-can-I-tell-what-version-Im-using", null ],
        [ "Where does netCDF get installed?", "faq.html#Where-does-netCDF-get-installed", null ]
      ] ],
      [ "Formats, Data Models, and Software Releases", "faq.html#formatsdatamodelssoftwarereleases", [
        [ "How many netCDF formats are there, and what are the differences among them?", "faq.html#How-many-netCDF-formats-are-there-and-what-are-the-differences-among-them", null ],
        [ "How can I tell which format a netCDF file uses?", "faq.html#How-can-I-tell-which-format-a-netCDF-file-uses", null ],
        [ "How many netCDF data models are there?", "faq.html#How-many-netCDF-data-models-are-there", null ],
        [ "How many releases of the C-based netCDF software are supported?", "faq.html#How-many-releases-of-the-C-based-netCDF-software-are-supported", null ],
        [ "Should I get netCDF-3 or netCDF-4?", "faq.html#Should-I-get-netCDF-3-or-netCDF-4", null ],
        [ "What is the \"enhanced data model\" of netCDF-4, and how does it differ from the netCDF-3 classic data model?", "faq.html#whatisenhanceddatamodel", null ],
        [ "Why doesn't the new netCDF-4 installation I built seem to support any of the new features?", "faq.html#Whydoesnt-the-new-netCDF-4-installation-I-built-seem-to-support-any-of-the-new-features", null ],
        [ "Will Unidata continue to support netCDF-3?", "faq.html#Will-Unidata-continue-to-support-netCDF-3", null ],
        [ "To read compressed data, what changes do I need to make to my netCDF-3 program?", "faq.html#To-read-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "To write compressed data, what changes do I need to make to my netCDF-3 program?", "faq.html#To-write-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "If I create netCDF-4 classic model files, can they be read by IDL, MATLAB, R, Python and ArcGIS?", "faq.html#If-I-create-netCDF-4-classic-model-files-can-they-be-read-by-IDL-MATLAB-R-Python-and-ArcGIS", null ],
        [ "What applications are able to deal with <em>arbitrary</em> netCDF-4 files?", "faq.html#What-applications-are-able-to-deal-with-arbitrary-netCDF-4-files", null ],
        [ "How can I convert netCDF-3 files into netCDF-4 files?", "faq.html#How-can-I-convert-netCDF-3-files-into-netCDF-4-files", null ],
        [ "Why might someone want to convert netCDF-4 files into netCDF-3 files?", "faq.html#Why-might-someone-want-to-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert netCDF-4 files into netCDF-3 files?", "faq.html#How-can-I-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert HDF5 files into netCDF-4 files?", "faq.html#How-can-I-convert-HDF5-files-into-netCDF-4-files", null ],
        [ "How can I convert netCDF-4 files into HDF5 files?", "faq.html#How-can-I-convert-netCDF-4-files-into-HDF5-files", null ],
        [ "Why aren't different extensions used for the different formats, for example \".nc3\" and \".nc4\"?", "faq.html#why-arent-different-extensions-used", null ],
        [ "Why is the default of netCDF-4 to continue to create classic files, rather than netCDF-4 files?", "faq.html#Why-is-the-default-of-netCDF-4-to-continue-to-create-classic-files-rather-than-netCDF-4-files", null ],
        [ "Can netCDF-4 read arbitrary HDF5 files?", "faq.html#Can-netCDF-4-read-arbitrary-HDF5-files", null ],
        [ "—enable-shared-but-it-looks-like-the-libraries-it-installed-were-netCDF-4-with-names-like-libnetcdf4dylib-Whats-going-on I installed netCDF-3 with –enable-shared, but it looks like the libraries it installed were netCDF-4, with names like libnetcdf.4.dylib. What's going on?", "faq.html#I-installed-netCDF-3-with", null ],
        [ "NetCDF-3.6.3 permits UTF-8 encoded Unicode names. Won't this break backward compatibility with previous software releases that didn't allow such names?", "faq.html#NetCDF-363-permits-UTF-8-encoded-Unicode-names-Wont-this-break-backward-compatibility-with-previous-software-releases-that-didnt-allow-such-names", null ],
        [ "How difficult is it to convert my application to handle arbitrary netCDF-4 files?", "faq.html#How-difficult-is-it-to-convert-my-application-to-handle-arbitrary-netCDF-4-files", null ]
      ] ],
      [ "Shared Libraries", "faq.html#Shared-Libraries", [
        [ "What are shared libraries?", "faq.html#What-are-shared-libraries", null ],
        [ "Can I build netCDF with shared libraries?", "faq.html#Can-I-build-netCDF-with-shared-libraries", null ],
        [ "How do I use netCDF shared libraries?", "faq.html#How-do-I-use-netCDF-shared-libraries", null ]
      ] ],
      [ "Large File Support", "faq.html#Large-File-Support", [
        [ "Was it possible to create netCDF files larger than 2 GiBytes before version 3.6?", "faq.html#Was-it-possible-to-create-netCDF-files-larger-than-2-GiBytes-before-version-36", null ],
        [ "What is Large File Support?", "faq.html#What-is-Large-File-Support", null ],
        [ "What does Large File Support have to do with netCDF?", "faq.html#What-does-Large-File-Support-have-to-do-with-netCDF", null ],
        [ "Do I have to know which netCDF file format variant is used in order to access or modify a netCDF file?", "faq.html#Do-I-have-to-know-which-netCDF-file-format-variant-is-used-in-order-to-access-or-modify-a-netCDF-file", null ],
        [ "Will future versions of the netCDF library continue to support accessing files in the classic format?", "faq.html#Will-future-versions-of-the-netCDF-library-continue-to-support-accessing-files-in-the-classic-format", null ],
        [ "Should I start using the new 64-bit offset format for all my netCDF files?", "faq.html#Should-I-start-using-the-new-64-bit-offset-format-for-all-my-netCDF-files", null ],
        [ "How can I tell if a netCDF file uses the classic format (CDF-1), 64-bit offset format (CDF-2) or 64-bit data format (CDF-5)?", "faq.html#How-can-I-tell-if-a-netCDF-file-uses-the-classic-format-or-64-bit-offset-format", null ],
        [ "What happens if I create a 64-bit offset format netCDF file and try to open it with an older netCDF application that hasn't been linked with netCDF 3.6?", "faq.html#What-happens-if-I-create-a-64-bit-offset-format-netCDF-file-and-try-to-open-it-with-an-older-netCDF-application-that-hasnt-been-linked-with-netCDF-36", null ],
        [ "Can I create 64-bit offset files on 32-bit platforms?", "faq.html#Can-I-create-64-bit-offset-files-on-32-bit-platforms", null ],
        [ "How do I create a 64-bit offset netCDF file from C, Fortran-77, Fortran-90, or C++?", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-from-C-Fortran-77-Fortran-90-or-Cpp", null ],
        [ "How do I create a 64-bit offset netCDF file using the ncgen utility?", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-using-the-ncgen-utility", null ],
        [ "Have all netCDF size limits been eliminated?", "faq.html#Have-all-netCDF-size-limits-been-eliminated", null ],
        [ "Why are variables still limited in size?", "faq.html#Why-are-variables-still-limited-in-size", null ],
        [ "How can I write variables larger than 4 GiB?", "faq.html#How-can-I-write-variables-larger-than-4-GiB", null ],
        [ "Why do I get an error message when I try to create a file larger than 2 GiB with the new library?", "faq.html#Why-do-I-get-an-error-message-when-I-try-to-create-a-file-larger-than-2-GiB-with-the-new-library", null ],
        [ "Do I need to use special compiler flags to compile and link my applications that use netCDF with Large File Support?", "faq.html#Do-I-need-to-use-special-compiler-flags-to-compile-and-link-my-applications-that-use-netCDF-with-Large-File-Support", null ],
        [ "Is it possible to create a \"classic\" format netCDF file with netCDF version 3.6.0 that cannot be accessed by applications compiled and linked against earlier versions of the library?", "faq.html#isitpossibleclassic360", null ]
      ] ],
      [ "NetCDF and Other Software", "faq.html#NetCDF-and-Other-Software", [
        [ "What other software is available for accessing, displaying, and manipulating netCDF data?", "faq.html#What-other-software-is-available-for-accessing-displaying-and-manipulating-netCDF-data", null ],
        [ "What other data access interfaces and formats are available for scientific data?", "faq.html#What-other-data-access-interfaces-and-formats-are-available-for-scientific-data", null ],
        [ "What is the connection between netCDF and CDF?", "faq.html#What-is-the-connection-between-netCDF-and-CDF", null ],
        [ "What is the connection between netCDF and HDF?", "faq.html#What-is-the-connection-between-netCDF-and-HDF", null ],
        [ "Has anyone implemented client-server access for netCDF data?", "faq.html#Has-anyone-implemented-client-server-access-for-netCDF-data", null ],
        [ "How do I convert between GRIB and netCDF?", "faq.html#How-do-I-convert-between-GRIB-and-netCDF", null ],
        [ "Problems and Bugs", "faq.html#autotoc_md174", null ],
        [ "Can I recover data from a netCDF file that was not closed properly?", "faq.html#Can-I-recover-data-from-a-netCDF-file-that-was-not-closed-properly", null ],
        [ "Is there a list of reported problems and workarounds?", "faq.html#Is-there-a-list-of-reported-problems-and-workarounds", null ],
        [ "How do I make a bug report?", "faq.html#How-do-I-make-a-bug-report", null ],
        [ "How do I search through past problem reports?", "faq.html#How-do-I-search-through-past-problem-reports", null ]
      ] ],
      [ "Programming with NetCDF", "faq.html#Programming-with-NetCDF", [
        [ "Which programming languages have netCDF interfaces?", "faq.html#Which-programming-languages-have-netCDF-interfaces", null ],
        [ "Are the netCDF libraries thread-safe?", "faq.html#Are-the-netCDF-libraries-thread-safe", null ],
        [ "How does the C++ interface differ from the C interface?", "faq.html#How-does-the-Cpp-interface-differ-from-the-C-interface", null ],
        [ "How does the Fortran interface differ from the C interface?", "faq.html#How-does-the-Fortran-interface-differ-from-the-C-interface", null ],
        [ "How do the Java, Perl, Python, Ruby, ... interfaces differ from the C interface?", "faq.html#How-do-the-Java-Perl-Python-Ruby-interfaces-differ-from-the-C-interface", null ],
        [ "How do I handle errors in C?", "faq.html#How-do-I-handle-errors-in-C", null ]
      ] ],
      [ "CMake-Related Frequently Asked Questions", "faq.html#cmake_faq", [
        [ "How can I see the options available to CMake?", "faq.html#listoptions", null ],
        [ "How do I specify how to build a shared or static library?", "faq.html#sharedstatic", null ],
        [ "Can I build both shared and static libraries at the same time with cmake?", "faq.html#sharedstaticboth", null ],
        [ "How can I specify linking against a particular library?", "faq.html#partlib", null ],
        [ "What if I want to link against multiple libraries in a non-standard location", "faq.html#nonstdloc", null ],
        [ "How can I specify a Parallel Build using HDF5", "faq.html#parallelhdf", null ]
      ] ],
      [ "Plans", "faq.html#Plans", [
        [ "What other future work on netCDF is planned?", "faq.html#What-other-future-work-on-netCDF-is-planned", null ]
      ] ]
    ] ],
    [ "Known Problems with netCDF", "known_problems.html", [
      [ "Known Problems with netCDF 4.3.0", "known_problems.html#autotoc_md186", null ],
      [ "Known Problems with netCDF 4.2", "known_problems.html#autotoc_md187", null ],
      [ "Known Problems with netCDF 4.1.3", "known_problems.html#autotoc_md188", null ],
      [ "Known Problems with netCDF 4.1.2", "known_problems.html#autotoc_md189", null ],
      [ "Known Problems with netCDF 4.1.1", "known_problems.html#autotoc_md190", [
        [ "The clang compiler (default on OSX 10.9 Mavericks) detects error building ncgen3", "known_problems.html#autotoc_md192", null ],
        [ "Fortran options of nc-config utility (–fflags, –flibs, –has-f90) don't work correctly", "known_problems.html#autotoc_md193", null ],
        [ "Using \"--with-hdf5=...\" configure option doesn't seem to work", "known_problems.html#autotoc_md194", null ],
        [ "nccopy -d and -c options for compression and chunking don't work on netCDF-4 input files", "known_problems.html#autotoc_md195", null ],
        [ "Debug statement left in F90 source", "known_problems.html#autotoc_md196", null ],
        [ "Ncgen is known to produce bad output.", "known_problems.html#autotoc_md197", null ],
        [ "Building with Intel Fortran on Mac OS X", "known_problems.html#autotoc_md198", null ],
        [ "Accessing OPeNDAP servers using a constraint expression", "known_problems.html#autotoc_md199", null ],
        [ "Configuring with \"--enable-benchmarks\" option", "known_problems.html#autotoc_md200", null ],
        [ "Problem with disabling fill mode when using Lustre (or other large blksize file system)", "known_problems.html#autotoc_md201", null ],
        [ "\"make check\" fails when linked with HDF5-1.8.6", "known_problems.html#autotoc_md202", null ],
        [ "Make tries to regenerate documentation with texi2dvi command", "known_problems.html#autotoc_md203", null ],
        [ "Accessing a multidimensional variable with more than 4 billion values on a 32-bit platform", "known_problems.html#autotoc_md204", null ]
      ] ],
      [ "Known Problems with netCDF 4.0.1", "known_problems.html#autotoc_md205", [
        [ "Including mpi.h before netcdf.h breaks MPI", "known_problems.html#autotoc_md206", null ],
        [ "With Sun C compiler, 64-bit ncdump fails", "known_problems.html#autotoc_md207", null ],
        [ "Portland Group compilers can't build shared fortran 90 library or shared C++ library", "known_problems.html#autotoc_md208", null ],
        [ "Intel 10.1 64-bit C++ compiler problem", "known_problems.html#autotoc_md209", null ],
        [ "Intel 9.1 C++ compiler problem doesn't build C++ API", "known_problems.html#autotoc_md210", null ],
        [ "ncgen/ncdump test failure with Intel version 11 compilers", "known_problems.html#autotoc_md211", null ],
        [ "\"ncdump -v group/var\" reports \"group not found\"", "known_problems.html#autotoc_md212", null ]
      ] ],
      [ "Known Problems with netCDF 4.0", "known_problems.html#autotoc_md213", [
        [ "Ncdump assumes default fill value for unsigned byte data", "known_problems.html#autotoc_md214", null ],
        [ "Ncdump of compound type with array field", "known_problems.html#autotoc_md215", null ],
        [ "Memory leak with VLEN attributes", "known_problems.html#autotoc_md216", null ],
        [ "Error dyld: Symbol not found: _H5P_CLS_FILE_ACCESS_g", "known_problems.html#autotoc_md217", null ],
        [ "Fortran90 interface Using Intel ifort under Cygwin", "known_problems.html#autotoc_md219", null ],
        [ "ncdump bug for filenames beginning with a numeric character", "known_problems.html#autotoc_md220", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.3", "known_problems.html#autotoc_md221", [
        [ "Can't build shared library with F90 API on IRIX", "known_problems.html#autotoc_md223", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.2", "known_problems.html#autotoc_md225", [
        [ "Setting ARFLAGS does not work", "known_problems.html#autotoc_md227", null ],
        [ "Bugs in support for variables larger than 4 GiB", "known_problems.html#autotoc_md228", null ],
        [ "Bug in C++ interface prevents creating 64-bit offset format files", "known_problems.html#autotoc_md229", null ],
        [ "The tests in nf_test fail with seg fault with the Absoft Version 10.0 fortran compiler.", "known_problems.html#autotoc_md230", null ],
        [ "Shared libraries do not work with the NAG fortran compiler.", "known_problems.html#autotoc_md231", null ],
        [ "The documented –enable-64bit option doesn't work.", "known_problems.html#autotoc_md232", null ],
        [ "Building netCDF-3.6.2 with gfortran version 4.2.x or 4.3.x fails.", "known_problems.html#autotoc_md233", null ],
        [ "Building shared libraries on Macintosh with g95 fails.", "known_problems.html#autotoc_md234", null ],
        [ "Building shared libraries on HPUX with native tools results in only static libraries.", "known_problems.html#autotoc_md235", null ],
        [ "Building shared libraries on AIX fails.", "known_problems.html#autotoc_md236", null ],
        [ "Building with older versions of g++ fails.", "known_problems.html#autotoc_md237", null ],
        [ "The .NET build files are not included in the 3.6.2 release.", "known_problems.html#autotoc_md238", null ],
        [ "Snapshot .NET build files do not work for Visual Studio 8.0 beta.", "known_problems.html#autotoc_md239", null ],
        [ "The -disable-v2 option causes the fortran build to fail with some fortran compilers.", "known_problems.html#autotoc_md240", null ],
        [ "The –disable-c option does not work.", "known_problems.html#autotoc_md241", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.1", "known_problems.html#autotoc_md242", [
        [ "Building on IBM Bluegene login node (SUSE Linux)", "known_problems.html#autotoc_md243", null ],
        [ "Linux x86 Fedora4 with Intel ifort 9.0 compiler", "known_problems.html#autotoc_md244", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.0", "known_problems.html#autotoc_md246", [
        [ "nctest fails on IRIX platform", "known_problems.html#autotoc_md248", null ],
        [ "C++ API doesn't build on Irix", "known_problems.html#autotoc_md249", null ],
        [ "Potentially serious bug with 64-bit offset files", "known_problems.html#autotoc_md250", null ],
        [ "Cygwin Build Doesn't Work", "known_problems.html#autotoc_md251", null ],
        [ "Windows DLL doesn't include F77 API", "known_problems.html#autotoc_md252", null ],
        [ "F90 tests fail with Portland F90 compiler", "known_problems.html#autotoc_md253", null ],
        [ "Config doesn't find working F77 or F90 compiler on AIX", "known_problems.html#autotoc_md254", null ],
        [ "xlf90 fails to compile test program during configure on AIX", "known_problems.html#autotoc_md255", null ],
        [ "F90 functions not added to library on AIX", "known_problems.html#autotoc_md256", null ],
        [ "Problems with fortran compile because of -Df2cFortran being added by configure\"", "known_problems.html#autotoc_md257", null ],
        [ "Message: \"ncgenyy.c is out-of-date with respect to ncgen.l\"", "known_problems.html#autotoc_md258", null ],
        [ "Configure help specifies FCFLAGS instead of FFLAGS", "known_problems.html#autotoc_md259", null ],
        [ "Specifying a count length of zero returns an error instead of no data", "known_problems.html#autotoc_md260", null ],
        [ "C++ library doesn't build under Cygwin", "known_problems.html#autotoc_md261", null ],
        [ "Large file problems in Visual C++ compile", "known_problems.html#autotoc_md262", null ],
        [ "When using TEMP_LARGE, need a trailing slash", "known_problems.html#autotoc_md263", null ]
      ] ]
    ] ],
    [ "COPYRIGHT", "copyright.html", null ],
    [ "NetCDF Credits", "credits.html", null ],
    [ "The NetCDF-C Tutorial", "tutorial_8dox.html", "tutorial_8dox" ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "NetCDF Functions", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", "annotated" ],
    [ "Data Fields", "functions.html", [
      [ "All", "functions.html", null ],
      [ "Variables", "functions_vars.html", null ]
    ] ],
    [ "Files", "files.html", [
      [ "Source Files", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"BestPractices.html",
"faq.html#Can-I-recover-data-from-a-netCDF-file-that-was-not-closed-properly",
"group__attributes.html#ga49767fc4c1e60c37d7a0a43c11e74bfe",
"group__user__types.html#ga4315326e6ea70d6451a493e80daec4e9",
"group__variables.html#ga2ba50216f9d08c6f73104fc9a66e3b75",
"group__variables.html#gac82882d0a7958ff38a3c59fbec2a4ed0",
"md__build_netcdf-O7y1PR_netcdf-4_87_83_docs_inmemory.html#Inmemory_Bugs",
"netcdf_8h.html#a25ff6e9c7e6689f61a587f26c282b6a0",
"netcdf_8h.html#ac8adc75cbdfc1b3d2029c6d74a12c369",
"reading_unknown.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';